Subject: Re: bug#62420: 29.0.60; fns-tests-collate-strings fails on Cygwin

From: Ken Brown <[email-masked]>
Date: Sat, 25 Mar 2023 10:27:51 -0400

On 3/25/2023 8:24 AM, Eli Zaretskii wrote:
>> Date: Fri, 24 Mar 2023 10:52:45 -0400
>> From: Ken Brown <[email-masked]>
>> Is this OK for the emacs-29 branch?
> 
> Yes, thanks.
> 
>> [Note: The test will still fail on current Cygwin after this patch; but
>> that's because of a bug in Cygwin, which has been fixed in the
>> development sources for Cygwin 3.5.]
> 
> Maybe mention this in comments?

Done.

>  Bonus points for making it an
> expected failure for Cygwin < 3.5, assuming the version of Cygwin
> could be obtained by the test code.

I don't know how to get the version in Lisp.  I only know how to get it 
in C, using uname.  If someone can tell me how to get it in Lisp, I'll 
try to earn the bonus points.

Closing.

Ken